Index: include/libroardsp/float.h
===================================================================
--- include/libroardsp/float.h	(revision 4513)
+++ include/libroardsp/float.h	(revision 4513)
@@ -0,0 +1,49 @@
+//float.h:
+
+/*
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2009-2010
+ *
+ *  This file is part of libroar a part of RoarAudio,
+ *  a cross-platform sound system for both, home and professional use.
+ *  See README for details.
+ *
+ *  This file is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License version 3
+ *  as published by the Free Software Foundation.
+ *
+ *  libroar is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  You should have received a copy of the GNU General Public License
+ *  along with this software; see the file COPYING.  If not, write to
+ *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
+ *  Boston, MA 02110-1301, USA.
+ *
+ *  NOTE for everyone want's to change something and send patches:
+ *  read README and HACKING! There a addition information on
+ *  the license of this document you need to read before you send
+ *  any patches.
+ *
+ *  NOTE for uses of non-GPL (LGPL,...) software using libesd, libartsc
+ *  or libpulse*:
+ *  The libs libroaresd, libroararts and libroarpulse link this lib
+ *  and are therefore GPL. Because of this it may be illigal to use
+ *  them with any software that uses libesd, libartsc or libpulse*.
+ */
+
+#ifndef _LIBROARDSP_FLOAT_H_
+#define _LIBROARDSP_FLOAT_H_
+
+#include "libroardsp.h"
+
+int roar_conv_int32_float(float   * dst, int32_t * src, size_t len);
+int roar_conv_float_int32(int32_t * dst, float   * src, size_t len);
+
+int roar_conv_int32_float_deint(float   ** dst, int32_t * src, size_t len, size_t channels);
+int roar_conv_float_int32_enint(int32_t ** dst, float   * src, size_t len, size_t channels);
+
+#endif
+
+//ll
Index: include/libroardsp/libroardsp.h
===================================================================
--- include/libroardsp/libroardsp.h	(revision 4129)
+++ include/libroardsp/libroardsp.h	(revision 4513)
@@ -53,4 +53,5 @@
 #include "remove.h"
 #include "rms.h"
+#include "float.h"
 #include "filter.h"
 #include "filterchain.h"
Index: libroardsp/Makefile
===================================================================
--- libroardsp/Makefile	(revision 4129)
+++ libroardsp/Makefile	(revision 4513)
@@ -5,5 +5,5 @@
 
 TARGETS=$(SLIB) libroardsp.a
-OBJS=libroardsp.o convert.o midside.o poly.o filter.o filterchain.o remove.o transcode.o vio_transcode.o rms.o fader.o mixer.o amp.o interleave.o channels.o resampler_poly3.o
+OBJS=libroardsp.o convert.o midside.o poly.o filter.o filterchain.o remove.o transcode.o vio_transcode.o rms.o fader.o mixer.o amp.o interleave.o channels.o resampler_poly3.o float.o
 OLDROAR=midi.o
 FILTER=filter_lowp.o filter_highp.o filter_amp.o filter_quantify.o filter_add.o filter_clip.o filter_downmix.o filter_dcblock.o filter_swap.o filter_agc.o filter_speex_prep.o
Index: libroardsp/float.c
===================================================================
--- libroardsp/float.c	(revision 4513)
+++ libroardsp/float.c	(revision 4513)
@@ -0,0 +1,33 @@
+//float.c:
+
+/*
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2009
+ *
+ *  This file is part of libroardsp a part of RoarAudio,
+ *  a cross-platform sound system for both, home and professional use.
+ *  See README for details.
+ *
+ *  This file is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License version 3
+ *  as published by the Free Software Foundation.
+ *
+ *  libroardsp is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  You should have received a copy of the GNU General Public License
+ *  along with this software; see the file COPYING.  If not, write to
+ *  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
+ *
+ */
+
+#include "libroardsp.h"
+
+int roar_conv_int32_float(float   * dst, int32_t * src, size_t len);
+int roar_conv_float_int32(int32_t * dst, float   * src, size_t len);
+
+int roar_conv_int32_float_deint(float   ** dst, int32_t * src, size_t len, size_t channels);
+int roar_conv_float_int32_enint(int32_t ** dst, float   * src, size_t len, size_t channels);
+
+//ll
